Anonymous Login
2017-11-21 15:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001613OpenClonkEngine - Controlspublic2017-11-11 09:58
ReporterLuchs 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version7.0 
Target Version8.0Fixed in Versiongit master 
Summary0001613: Arrows become invisible when the bow is destroyed
DescriptionThe bow starts burning when jumping into lava and eventually disappears. Arrows shown below the bow then disappear, but still take a spot in the inventory.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004990

Maikel (developer)

This seems to be fixed somehow: when I incinerate a bow in the clonks contents, the arrows are moved to another slot and the bow burns down slowly.

Now I see the problem, when you hold another additional 4 items, the arrows are moved to an invisible slot, and are then only shown when pressing E.

~0005006

Zapper (developer)

I guess the only sane solution is to check for an over-full inventory every time an item leaves the inventory? (And then move those items into free slots).

~0005008

Maikel (developer)

Yes, sounds fine to me.

~0005531

Luchs (developer)

I think this is mostly fixed now. The arrows now appear in the inventory once you throw away an item.

Burning bows are still a bit confusing though, as they look exactly the same in the inventory and even still show the "empty inventory" icon below them even though they can't hold any arrows.

~0005533

Maikel (developer)

Last edited: 2016-12-21 14:41

View 2 revisions

Maybe the stack library needs a method to remove it. Or do it by default if the object reaches some state, i.e. burned.

Edit: the bow could collect arrows again after I extinguished it.

~0005902

Maikel (developer)

I think this has been solved with the new flammable library and the fixing of 0001950. So I close this, reopen if my statement is false.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-16 00:32 Luchs New Issue
2016-01-18 11:45 Maikel Product Version => 7.0
2016-01-18 11:45 Maikel Target Version => 7.1 (Bugfix update)
2016-02-14 14:03 Maikel Note Added: 0004990
2016-02-27 13:22 Zapper Note Added: 0005006
2016-02-27 18:52 Maikel Note Added: 0005008
2016-12-15 17:58 Luchs Note Added: 0005531
2016-12-15 17:58 Luchs Target Version 7.1 (Bugfix update) =>
2016-12-16 09:51 Maikel Note Added: 0005533
2016-12-21 14:41 Maikel Note Edited: 0005533 View Revisions
2017-08-05 15:58 Maikel Target Version => 8.0
2017-11-11 09:58 Maikel Assigned To => Maikel
2017-11-11 09:58 Maikel Status new => resolved
2017-11-11 09:58 Maikel Resolution open => fixed
2017-11-11 09:58 Maikel Fixed in Version => git master
2017-11-11 09:58 Maikel Note Added: 0005902
+Issue History